{% extends 'base.html.twig' %}

{% block title %}Evenement{% endblock %}

{% block body %}
<style>
 header {
    color: #000 !important;
 }
</style>

    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <header class="masthead">
        <section class="page-section bg-light" id="portfolio">
            <div class="title-area text-center">
                <h4 class="title">Evènement</h4>
            </div>
            <br>
            <div class="container">
                <div class="row">
                    {% for event in events %}
                        <div class="col-lg-4 col-sm-6 mb-4">
                            <div class="portfolio-item">
                                <a class="portfolio-link" data-bs-toggle="modal" href="#portfolioModal-{{ event.id }}">
                                    <div class="portfolio-hover">
                                        <div class="portfolio-hover-content"><svg class="svg-inline--fa fa-plus fa-3x" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="plus" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" data-fa-i2svg=""><path fill="currentColor" d="M240 80c0-17.7-14.3-32-32-32s-32 14.3-32 32V224H32c-17.7 0-32 14.3-32 32s14.3 32 32 32H176V432c0 17.7 14.3 32 32 32s32-14.3 32-32V288H384c17.7 0 32-14.3 32-32s-14.3-32-32-32H240V80z"></path></svg><!-- <i class="fas fa-plus fa-3x"></i> Font Awesome fontawesome.com --></div>
                                    </div>
                                    <img class="img-fluid" src="{{ asset('uploads/events/' ~ event.image ) }}">
                                </a>
                                <div class="portfolio-caption">
                                    <div class="portfolio-caption-heading">{{ event.name }}</div>
                                </div>
                            </div>

                            <div class="portfolio-modal modal fade" id="portfolioModal-{{ event.id }}" tabindex="-1" role="dialog" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="close-modal" data-bs-dismiss="modal"><img src="assets/assets/img/close-icon.svg" alt="Close modal" /></div>
                                        <div class="container">
                                            <div class="row justify-content-center">
                                                <div class="col-lg-8">
                                                    <div class="modal-body">
                                                        <!-- Project details-->
                                                        <h2 class="text-uppercase">{{ event.name }}</h2>
                                                        <br>
                                                        <br>
                                                        <img class="img-fluid d-block mx-auto" src="{{ asset('uploads/events/' ~ event.image ) }}" />
                                                        <p> {{ event.description }} </p>
                                                        <ul class="list-inline">
                                                            <li>
                                                                <strong>Organisateur:</strong>
                                                                {{ event.organizer }}
                                                            </li>
                                                            <li>
                                                                <strong>Categorie:</strong>
                                                                {{ event.category }}
                                                            </li>
                                                        </ul>
                                                        <button class="btn btn-primary btn-xl text-uppercase" data-bs-dismiss="modal" type="button">
                                                            Détails de l'évènement
                                                        </button>
                                                        <button class="btn btn-primary btn-xl text-uppercase" data-bs-dismiss="modal" type="button">
                                                            Acheter votre ticket
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% else %}
                        <p>Aucun evenement disponible.</p>
                    {% endfor %}
                </div>
            </div>
        </section>
    </header>
     
{% endblock %}

